Subject: Ticket Assigned - Wrong items delivered
From: Homecentre <[email-masked]>
To: [email-masked]
Date: Sun, 04 Jul 2021 05:45:08 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Wrong items delivered Hi,
I have received yesterday the order via delivery. Order # is 8274529847. I attached screenshots of the items I ordered (1st 4 pictures) versus the ones I received ( Last 4 pictures). I ordered baking items, but i received Galma Decor Tray instead. Can I Return the Item to any Kuwait Homecenter Branch today? Can Iget the items I ordered when I visit any branch today? I need a prompt solution to this, otherwise, just refund my payment. Thank you.

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2804173